%global debug_package   %{nil}
%global provider        github
%global provider_tld    com
%global project         spacemonkeygo
%global repo            flagfile
# https://github.com/spacemonkeygo/flagfile
%global import_path     %{provider}.%{provider_tld}/%{project}/%{repo}
%global commit          871ce569c29360f95d7596f90aa54d5ecef75738
%global shortcommit     %(c=%{commit}; echo ${c:0:7})

Name:           golang-%{provider}-%{project}-%{repo}
Version:        0
Release:        %mkrel 0.1.git%{shortcommit}
Summary:        Simple api for flag serialization and parsing
License:        ASL 2.0
URL:            https://%{import_path}
Source0:        https://%{import_path}/archive/%{commit}/%{repo}-%{shortcommit}.tar.gz
BuildArch:      noarch
Group:          Development/Other

%description
%{summary}

%package devel
Summary:       %{summary}

BuildRequires: golang >= 1.2.1-3


Provides:      golang(%{import_path}) = %{version}-%{release}
Provides:      golang(%{import_path}/parser) = %{version}-%{release}
Provides:      golang(%{import_path}/utils) = %{version}-%{release}

%description devel
%{summary}

This package contains library source intended for
building other packages which use %{project}/%{repo}.

%prep

%setup -q -n %{repo}-%{commit}

%build

%install
install -d -p %{buildroot}/%{gopath}/src/%{import_path}/
cp -pav *.go %{buildroot}/%{gopath}/src/%{import_path}/

# copy directories
for file in ./* ; do
    if [ -d $file ]; then
        cp -rpav $file %{buildroot}%{gopath}/src/%{import_path}/
    fi
done

%check
GOPATH=%{buildroot}/%{gopath}:%{gopath} go test %{import_path}/utils


%files devel
%if 0%{?fedora}
%license LICENSE
%doc README.md
%else
%doc README.md LICENSE
%endif
%dir %{gopath}/src/%{provider}.%{provider_tld}/%{project}
%{gopath}/src/%{import_path}


%changelog
* Fri Jul 31 2015 joequant <joequant> 0-0.1.git871ce56.mga7
+ Revision: 860091
- imported package golang-github-spacemonkeygo-flagfile

